Package ru.yandex.clickhouse.response

## Class ClickHouseColumnInfo

- java.lang.Object
- - ru.yandex.clickhouse.response.ClickHouseColumnInfo

    public final class ClickHouseColumnInfo
    extends Object

This class represents a column defined in database.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`ClickHouseDataType` `getArrayBaseType()`
`int` `getArrayLevel()`
`String` `getCleanTypeName()` Get the type name returned from the database, without modifiers, i.e.
`ClickHouseDataType` `getClickHouseDataType()`
`String` `getColumnName()`
`ClickHouseDataType` `getEffectiveClickHouseDataType()`
`String` `getFunctionName()`
`ClickHouseColumnInfo` `getKeyInfo()`
`String` `getOriginalTypeName()`
`int` `getPrecision()`
`int` `getScale()`
`TimeZone` `getTimeZone()`
`ClickHouseColumnInfo` `getValueInfo()`
`boolean` `isArray()`
`boolean` `isNullable()`
`static ClickHouseColumnInfo` `parse​(String typeInfo, String columnName)` Deprecated.
`static ClickHouseColumnInfo` `parse​(String typeInfo, String columnName, TimeZone serverTimeZone)` Parse given type string.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### parse

    @Deprecated
    public static ClickHouseColumnInfo parse​(String typeInfo,
                                             String columnName)

Deprecated.

#### parse

    public static ClickHouseColumnInfo parse​(String typeInfo,
                                             String columnName,
                                             TimeZone serverTimeZone)

Parse given type string.

Parameters:
  `typeInfo` - type defined in database
  `columnName` - column name
  `serverTimeZone` - server time zone
Returns:
  parsed type

#### getClickHouseDataType

    public ClickHouseDataType getClickHouseDataType()

#### getOriginalTypeName

    public String getOriginalTypeName()

#### getCleanTypeName

    public String getCleanTypeName()

Get the type name returned from the database, without modifiers, i.e. Nullable or LowCardinality.

Returns:
  the type name returned from the database

#### getColumnName

    public String getColumnName()

#### isNullable

    public boolean isNullable()

#### getArrayLevel

    public int getArrayLevel()

#### isArray

    public boolean isArray()

#### getArrayBaseType

    public ClickHouseDataType getArrayBaseType()

#### getEffectiveClickHouseDataType

    public ClickHouseDataType getEffectiveClickHouseDataType()

#### getTimeZone

    public TimeZone getTimeZone()

#### getPrecision

    public int getPrecision()

#### getScale

    public int getScale()

#### getKeyInfo

    public ClickHouseColumnInfo getKeyInfo()

#### getValueInfo

    public ClickHouseColumnInfo getValueInfo()

#### getFunctionName

    public String getFunctionName()